apiVersion: vshn.appcat.vshn.io/v1
kind: VSHNPostgreSQL
metadata:
  name: servala
spec:
  parameters:
    service:
      majorVersion: "16"
      pgSettings:
        timezone: Europe/Zurich
      access:
        - user: servala
    size:
      plan: standard-2
    backup:
      schedule: "30 23 * * *"
      retention: 12
    encryption:
      enabled: true
  writeConnectionSecretToRef:
    name: database-creds
